/*
   parser - Parse assembly file and insert debugging information

   Copyright (C) 2003 Kevin Kofler
   Portions Copyright (C) 2002-2003 Romain Livin
   Portions Copyright (C) 2000-2003 Sebastian Reichelt

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef PARSER_H
#define PARSER_H

/* internal functions */
__attribute__((noreturn)) static void outofmem(void);
__attribute__((noreturn)) static void usage (int status);
static int decode_switches (int argc, char **argv);
static const char *file_extension (const char *filename);
static void ParseDebugSFile(void);
static char *Trim(char *p);
static char *GetLineContents(int StartLine, int EndLine);

/* The name the program was run with, stripped of any leading path. */
char *program_name;

#endif
