/******************************************************************************
*
* project name:    TIGCC Tools Suite
* file name:       ttproto.c
* initial date:    21/08/2000
* author:          thomas.nussbaumer@gmx.net
* description:     generates a TIGCC nostub prototype main file
*
* This tool should be just seen as a prototype itself. Adapt it to your
* preferences !!!
*
* NOTE: If you are not comfortable with CVS you may wonder about the
*       $_keyword_$ words.
*       CVS is a free available code revision control system which helps
*       great in keeping track of source code revisions.
*       Ports for almost every platforms exists. Use your preferred searching
*       engine to find them.
*
* $Id: ttproto.c,v 1.10 2002/03/15 12:29:03 tnussb Exp $
*
******************************************************************************/

#include <stdio.h>

#include "ttversion.h"
#include "revtools.h"

#ifdef CVS_FILE_REVISION
#undef CVS_FILE_REVISION
#endif
//-----------------------------------------------------------------------------
// DON'T EDIT THE NEXT REVISION BY HAND! THIS IS DONE AUTOMATICALLY BY THE
// CVS SYSTEM !!!
//-----------------------------------------------------------------------------
#define CVS_FILE_REVISION "$Revision: 1.10 $"


//=============================================================================
// outputs usage information of this tool
//=============================================================================
void PrintUsage() {
    fprintf(USAGE_OUT, "Usage: ttproto <outputfile>\n\n"  \
                       "       generates a TIGCC nostub prototype main file\n\n");
}


//=============================================================================
// another boring main ...
//=============================================================================
int main(int argc,char *argv[]) {
    FILE *ofp;

    PRINT_ID("TTProto");
    if (argc != 2) {
        PrintUsage();
        return 1;
    }

    if (!(ofp = fopen(argv[1],"w"))) {
        fprintf(stderr,"ERROR: cannot open outputfile %s\n",argv[1]);
        return 1;
    }

fprintf(ofp,
"/******************************************************************************\n"\
"*\n"\
"* project name:\n"\
"* file name:   \n"\
"* initial date:\n"\
"* author:      \n"\
"* description: \n"\
"*\n"\
"* $"\
"Id"\
"$\n"\
"*\n"\
"******************************************************************************/\n");
fprintf(ofp,
"\n"\
"//#define SAVE_SCREEN\n"\
"//#define OPTIMIZE_ROM_CALLS\n"\
"//#define NO_EXIT_SUPPORT\n"\
"\n"\
"//#define USE_TI89\n"\
"//#define USE_TI92P\n"\
"//#define USE_V200\n"\
"\n"\
"//#if defined(USE_TI89) && defined(USE_TI92P)\n"\
"//  #error cannot produce both versions at once\n"\
"//#elif defined(USE_TI89)\n"\
"//  #define C89_92(x,y) (x)\n"\
"//#elif defined(USE_TI92P)\n"\
"//  #define USE_V200\n"\
"//  #define C89_92(x,y) (y)\n"\
"//#else\n"\
"//  #error Please specify either -DUSE_TI89 or -DUSE_TI92P on commandline\n"\
"//#endif\n"\
"\n"\
"#include <tigcclib.h>\n"\
"\n");
fprintf(ofp,
"//=============================================================================\n"\
"// as usual: our main function ...\n"\
"//=============================================================================\n"\
"void _main(void) {\n"\
"    //short oldfont = FontGetSys(); // used to restore previously set font\n"\
"\n"\
"    //if (!GrayOn()) {\n"\
"    //    return; // insert clean here!\n"\
"    //}\n"\
"\n"\
"    //GrayOff();             // turn grayscales off\n"\
"    //FontSetSys(oldfont);   // restore previously set font\n"\
"    //OSClearBreak();        // clear the break key for sure ...\n"\
"    //OSqclear(kbd_queue()); // clear keyboard queue for sure ...\n"\
"}\n"\
"\n"\
"//#############################################################################\n"\
"// Revision History\n"\
"//#############################################################################\n"\
"//\n"\
"// $"\
"Log"\
"$\n"\
"//\n");

    fclose(ofp);
    printf("file %s successfully generated.\n",argv[1]);
    return 0;
}


//#############################################################################
//###################### NO MORE FAKES BEYOND THIS LINE #######################
//#############################################################################
//
//=============================================================================
// Revision History
//=============================================================================
//
// $Log: ttproto.c,v $
// Revision 1.10  2002/03/15 12:29:03  tnussb
// generated prototype modernized and extended
//
// Revision 1.9  2002/02/07 09:49:38  tnussb
// all local includes changed, because header files are now located in pctools folder
//
// Revision 1.8  2002/02/07 09:14:09  tnussb
// NO_EXIT_SUPPORT added to generated templatefile
//
// Revision 1.7  2001/07/31 22:57:46  Thomas Nussbaumer
// generic commit for Tools Suite version 0.99.10
//
// Revision 1.6  2001/06/20 13:21:29  Thomas Nussbaumer
// using now GrayOn() and GrayOff() instead of old-style GrayMode() calls
//
// Revision 1.5  2000/11/29 23:22:13  Thomas Nussbaumer
// outputs now prototype related to TIGCC 0.8
//
// Revision 1.4  2000/11/28 00:05:12  Thomas Nussbaumer
// using now USAGE_OUT stream for usage info
//
// Revision 1.3  2000/08/23 20:13:44  Thomas Nussbaumer
// adapted to automatic version display (revtools.h)
//
// Revision 1.2  2000/08/21 17:18:18  Thomas Nussbaumer
// cvs keywords in prototype splitted to prevent automatic substitution
//
// Revision 1.1  2000/08/21 17:12:27  Thomas Nussbaumer
// initial version
//
//
//
